Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ProgressiveMesh::PMFaceVertex Class Reference

A vertex as used by a face. More...

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Attributes

size_t | realIndex
PMVertex * | commonVertex

## Detailed Description

A vertex as used by a face.

This records the index of the actual vertex which is used by the face, and a pointer to the common vertex used for surface evaluation.

Definition at line 123 of file OgreProgressiveMesh.h.

## Member Data Documentation

PMVertex* Ogre::ProgressiveMesh::PMFaceVertex::commonVertex

| Definition at line 126 of file OgreProgressiveMesh.h. Referenced by Ogre::ProgressiveMesh::PMTriangle::computeNormal(), Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon(), Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex(), Ogre::ProgressiveMesh::PMTriangle::notifyRemoved(), Ogre::ProgressiveMesh::PMTriangle::replaceVertex(), and Ogre::ProgressiveMesh::PMTriangle::setDetails().

size_t Ogre::ProgressiveMesh::PMFaceVertex::realIndex

| Definition at line 125 of file OgreProgressiveMesh.h.

The documentation for this class was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:27 2004